[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [PATCH] Fix compilation warning with Expat 2

From: Arfrever Frehtes Taifersar Arahesis <arfrever.fta_at_gmail.com>
Date: Sun, 27 Jan 2008 13:52:49 +0100

2008-01-27 01:09:35 Julian Foad napisał(a):
> Hi Arfrever.
>
> Thanks for the report and the patch and your persistence. I agree your patch is
> correct. However, I committed the following alternative fix in r29057, which
> avoids an explicit dependency on particular versions of Expat, and has only one
> copy of the error message for translators to maintain.
>
> I tested it by compiling with the function redefined manually to return various
> types, and looking for the warning to go away with all reasonable integer
> types. (I have Expat v1 installed.)
>
> Let me know if there is any problem with this solution, of course.

Thanks. It works correctly.
(Copyright years are still 2000-2006 :) .)

-- 
Arfrever Frehtes Taifersar Arahesis

Received on 2008-01-27 13:58:40 CET

This is an archived mail posted to the Subversion Dev mailing list.